+++
title = "htmx 1.4.0 has been released!"
date = 2021-05-25
[taxonomies]
tag = ["posts", "announcements"]
+++

## htmx 1.4.0 Release

I'm happy to announce the [1.4.0 release](https://unpkg.com/browse/htmx.org@1.4.0/) of htmx.

### New Features & Major Changes

* Added the `queue` option to the [hx-trigger](@/attributes/hx-trigger.md) attribute, allowing you to specify how events
  should be queued when they are received with a request in flight
* The `htmx.config.useTemplateFragments` option was added, allowing you to use HTML template tags for parsing content
  from the server.  This allows you to use Out of Band content when returning things like table rows, but it is not
  IE11 compatible.
* Introduced a new synthetic event, [intersect](@/docs.md#special-events) that allows you to trigger when an item is scrolled into view
  as specified by the `IntersectionObserver` API
* The `htmx.config.withCredentials` option was added, to send credentials with ajax requests (default is `false`)
* `hx-swap` now supports the `none` option

### Improvements & Bug fixes

* The `defaultSettleDelay` was dropped to 20ms from 100ms
* Fixed timing issue that caused exceptions in the `reveal` logic when scrolling at incredible speeds - <https://github.com/bigskysoftware/htmx/issues/463>
* Fixed bug causing SVG titles to be incorrectly used as page title - <https://github.com/bigskysoftware/htmx/issues/459>
* Boosted forms that issue a GET will now push the URL by default - <https://github.com/bigskysoftware/htmx/issues/485>
* Better dispatch of request events when an element is removed from the DOM
* Fixed a bug causing `hx-prompt` to fail
* The `throttle` option on `hx-trigger` does not delay the initial request any longer
* The `meta` key is ignored on boosted links
* `<script>` tags are now evaluated in the global scope
* Safari text selection bug - <https://github.com/bigskysoftware/htmx/issues/438>


Enjoy!
