+++
title = "htmx 1.9.0 has been released!"
date = 2023-04-11
[taxonomies]
tag = ["posts", "announcements"]
+++

## htmx 1.9.0 Release

I'm happy to announce the [1.9.0 release](https://unpkg.com/browse/htmx.org@1.9.0/) of htmx.

### New Features

* Support for [view transitions](/essays/view-transitions), based on the experimental [View Transitions API](https://developer.mozilla.org/en-US/docs/Web/API/View_Transitions_API)
  currently available in Chrome 111+ and coming to other browsers soon.
* Support for "naked" [`hx-trigger`](/attributes/hx-trigger) attributes, where an `hx-trigger` is present on an element
  that does not have an `hx-get`, etc. defined on it.  Instead, it will trigger the new `htmx:triggered` event, which can
  be responded to via your [preferred scripting solution](/docs#scripting).
* Support for generalized inline event handling via the new [`hx-on`](/attributes/hx-on) attribute, which addresses
  the shortcoming of limited [`onevent` properties](https://developer.mozilla.org/en-US/docs/Web/Events/Event_handlers#using_onevent_properties) attributes in HTML.

### Improvements & Bug fixes

* The htmx website has been migrated from 11ty to [zola](https://www.getzola.org/) by [@danieljsummers](https://github.com/danieljsummers), cutting
  way down on the number of "development" javascript dependencies
* A memory leak fix by [@croxton](https://github.com/bigskysoftware/htmx/commit/8cd3a480a7388877628ce8b9b8e50cd5df48bb81)

Thank you to everyone who contributed, and enjoy!
